<?php

namespace HellixElementor\Modules\ImageGallery;

use HellixElementor\Base\Module_Base;
use HellixElementor\Modules\ImageGallery\Skins;

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

class Module extends Module_Base {

    public function __construct() {
        parent::__construct();
        $this->add_actions();
    }

    public function get_name() {
        return 'override-image-gallery';
    }

    public function init_skins( $widget ) { 
        $widget->add_skin( new Skins\Skin_Style_1( $widget ) );
        $widget->add_skin( new Skins\Skin_Style_2( $widget ) );
    }

    public function add_actions() {
        add_action( 'elementor/widget/image-gallery/skins_init', [ $this, 'init_skins' ], 10 );
    }

}